package com.emato.cus.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class CusCardConfiguration {

    @Value("${cus.card.url}")
    private String cusCardUrl;

    @Value("${cus.card.password}")
    private String cusCardPassword;

    @Value("${cus.loginUrl}")
    private String cusLoginUrl;

    @Value("${cus.inve.date}")
    private int inveQueryDate;

    @Value("${cus.inve.url}")
    private String inveQueryUrl;

    public String getCusCardUrl() {
        return cusCardUrl;
    }

    public void setCusCardUrl(String cusCardUrl) {
        this.cusCardUrl = cusCardUrl;
    }

    public String getCusCardPassword() {
        return cusCardPassword;
    }

    public void setCusCardPassword(String cusCardPassword) {
        this.cusCardPassword = cusCardPassword;
    }

    public String getCusLoginUrl() {
        return cusLoginUrl;
    }

    public void setCusLoginUrl(String cusLoginUrl) {
        this.cusLoginUrl = cusLoginUrl;
    }

    public int getInveQueryDate() {
        return inveQueryDate;
    }

    public void setInveQueryDate(int inveQueryDate) {
        this.inveQueryDate = inveQueryDate;
    }

    public String getInveQueryUrl() {
        return inveQueryUrl;
    }

    public void setInveQueryUrl(String inveQueryUrl) {
        this.inveQueryUrl = inveQueryUrl;
    }
}